Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui
Interface IPerspectiveDescriptor

public interface IPerspectiveDescriptor

A perspective descriptor describes a perspective in an `IPerspectiveRegistry`.

A perspective is a template for view visibility, layout, and action visibility within a workbench page. There are two types of perspective: a predefined perspective and a custom perspective.

- A predefined perspective is defined by an extension to the workbench's perspective extension point (`"org.eclipse.ui.perspectives"`). The extension defines a id, label, and `IPerspectiveFactory`. A perspective factory is used to define the initial layout for a page.
- A custom perspective is defined by the user. In this case a predefined perspective is modified to suit a particular task and saved as a new perspective. The attributes for the perspective are stored in a separate file in the workbench's metadata directory.

Within a page the user can switch between any of the perspectives known to the workbench's perspective registry, typically by selecting one from the workbench's `Switch Perspective` menu. When selected, the views, and actions within the active page rearrange to reflect the perspective.

This interface is not intended to be implemented by clients.

See Also:
  `IPerspectiveRegistry`

Method Summary
`String` | `getDescription()` Returns the description of this perspective.
`String` | `getId()` Returns this perspective's id.
`ImageDescriptor` | `getImageDescriptor()` Returns the descriptor of the image for this perspective.
`String` | `getLabel()` Returns this perspective's label.

Method Detail

### getDescription

    public String getDescription()

  Returns the description of this perspective. This is the value of its `"description"` attribute.

  Returns:
    the description
  Since:
    3.0

### getId

    public String getId()

  Returns this perspective's id. For perspectives declared via an extension, this is the value of its `"id"` attribute.

  Returns:
    the perspective id

### getImageDescriptor

    public ImageDescriptor getImageDescriptor()

  Returns the descriptor of the image for this perspective.

  Returns:
    the descriptor of the image to display next to this perspective

### getLabel

    public String getLabel()

  Returns this perspective's label. For perspectives declared via an extension, this is the value of its `"label"` attribute.

  Returns:
    the label

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.